Bug 502117 - Review Request: mod_log_post - Module for the Apache web server to log all HTTP POST messages
Summary: Review Request: mod_log_post - Module for the Apache web server to log all HT...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Sven Lankes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-21 23:08 UTC by Robert Scheck
Modified: 2009-05-28 08:11 UTC (History)
3 users (show)

Fixed In Version: 0.1.0-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-26 22:44:35 UTC
Type: ---
sven: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2009-05-21 23:08:15 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/mod_log_post.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/mod_log_post-0.1.0-1.src.rpm
Description:
mod_log_post can be used for logging all HTTP POST messages. The module
is based on mod_security but in difference it never returns any error
messages to the visitors of your websites. Logging of POST data can be
very useful for debugging purposes or analyses. As the module is loaded
and run after the SSL decryption, it even can log POST data transmitted
before via SSL to the Apache web server.

Comment 1 Sven Lankes 2009-05-23 22:21:45 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f11/x86_64
 [!] Rpmlint output:
source RPM: empty
  mod_log_post.src: W: mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 1)
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2 with exceptions
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 817b86c6040fd64b21b66f7fc7ab6b19926847c8  mod_log_post-0.1.0.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: f10/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

Please fix the tab issue in the spec-file before importing.

**** APPROVED ***

Comment 2 Robert Scheck 2009-05-23 22:34:03 UTC
Sven, thank you very much for doing the review.

Just as a note: I got told by Thorsten and Christoph, that fixes always should 
happen after import, that these changes can be also tracked by the community.


New Package CVS Request
=======================
Package Name: mod_log_post
Short Description: Module for the Apache web server to log all HTTP POST messages
Owners: robert
Branches: EL-4 EL-5 F-10 F-11
InitialCC:

Comment 3 Jason Tibbitts 2009-05-26 22:05:14 UTC
CVS done.

Comment 4 Fedora Update System 2009-05-26 22:41:54 UTC
mod_log_post-0.1.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mod_log_post-0.1.0-1.fc10

Comment 5 Fedora Update System 2009-05-26 22:42:14 UTC
mod_log_post-0.1.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mod_log_post-0.1.0-1.fc11

Comment 6 Robert Scheck 2009-05-26 22:44:35 UTC
Package: mod_log_post-0.1.0-1.fc12 Tag: dist-f12 Status: complete
Package: mod_log_post-0.1.0-1.fc11 Tag: dist-f11-updates-candidate Status: complete
Package: mod_log_post-0.1.0-1.fc10 Tag: dist-f10-updates-candidate Status: complete

2389 (mod_log_post): Build on target fedora-5-epel succeeded.
2390 (mod_log_post): Build on target fedora-4-epel succeeded.

Comment 7 Fedora Update System 2009-05-28 08:00:29 UTC
mod_log_post-0.1.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-05-28 08:11:22 UTC
mod_log_post-0.1.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.